aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pureftpd/APKBUILD
diff options
context:
space:
mode:
authorDouglas Haber <me@douglashaber.com>2011-03-29 22:42:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-30 06:26:05 +0000
commitecb2ce15640adbb96a1c9dfc7bdcce7074c2b618 (patch)
treea238267c81b32ccb19ae9e652d9032047912683c /testing/pureftpd/APKBUILD
parent8ab866f1ba6dd836a4c4e45545360c9e1a373035 (diff)
downloadaports-ecb2ce15640adbb96a1c9dfc7bdcce7074c2b618.tar.gz
aports-ecb2ce15640adbb96a1c9dfc7bdcce7074c2b618.tar.bz2
aports-ecb2ce15640adbb96a1c9dfc7bdcce7074c2b618.tar.xz
testing/pureftpd: new aport
Diffstat (limited to 'testing/pureftpd/APKBUILD')
-rw-r--r--testing/pureftpd/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/pureftpd/APKBUILD b/testing/pureftpd/APKBUILD
new file mode 100644
index 0000000000..6dcce82e6d
--- /dev/null
+++ b/testing/pureftpd/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Douglas Haber <me@douglashaber.com>
+# Maintainer:
+pkgname=pure-ftpd
+pkgver=1.0.30
+pkgrel=0
+pkgdesc="Pure FTPD FTP daemon"
+url="http://pureftpd.org"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://download.pureftpd.org/pub/pure-ftpd/releases/$pkgname-$pkgver.tar.gz
+ pure-ftpd.initd"
+
+_builddir="src/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --without-humor --without-unicode --with-minimal --with-throttling || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -D ../$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+
+}
+
+md5sums="29e2a68e756d09f4aff8f4f76435b020 pure-ftpd-1.0.30.tar.gz
+3608b0f85e7731aec64c251f9b73907a pure-ftpd.initd"